%define rhugversion 20031215
%define rhugsource1 %{name}-%{version} upstream
%define rhugpatches 3

Summary: Jakarta Commons Fileupload Component
Name: commons-fileupload
Version: 1.0
Release: 8
URL: http://jakarta.apache.org/commons/fileupload/
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-rhjpp.patch
Patch3: %{name}-exitstatus.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
BuildPrereq: servletapi >= 2.3-4
BuildPrereq: junit >= 3.8.1-4
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1
Requires: servletapi >= 2.3-4

%description
The Jakarta Commons Fileupload Component makes it easy to add robust,
high-performance file upload capability to your servlets and web
applications.

%package devel
Summary: CNI headers for developing Commons Fileupload applications
Group: Development/Libraries
Requires: commons-fileupload = %{version}-%{release}

%description devel
The commons-fileupload-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Fileupload Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
%patch3 -p1 -b .exitstatus
mv ChangeLog ChangeLog.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}
make
#make check  XXX fails

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-fileupload.so \
    %{_datadir}/java/commons-fileupload.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-fileupload.so \
    %{_datadir}/java/commons-fileupload.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.txt
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/fileupload

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 1.0-8
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 1.0-7
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Tue Feb 17 2004 Gary Benson <gbenson@redhat.com> 1.0-6
- Rebuild for Fedora.

* Mon Dec 15 2003 Gary Benson <gbenson@redhat.com>
- Apply hammer multilib fix to all multilib archs.
- Correctly link local libraries on hammer.

* Thu Dec 11 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to fluorinated RHUG tarball.
- Enabled the testsuite.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.0-5
- Ensure we have a working javaconfig.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.0-4
- Rebuild with new compiler.

* Thu Aug  7 2003 Gary Benson <gbenson@redhat.com> 1.0-3
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.0-2
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 1.0-1
- Upgraded to latest version.

* Fri Jun 13 2003 Gary Benson <gbenson@redhat.com>
- Initial Red Hat Linux build.

* Fri Jun 13 2003 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
